## st-programs

st-programs — functions for defining and executing programs (deprecated).

## Synopsis

    void        st_programs_register            (const char *action,
                                                 const char *command);
    gboolean    st_programs_run                 (const char *action,
                                                 const char *locator,
                                                 GError **err);

## Description

## Details

### st_programs_register ()

    void        st_programs_register            (const char *action,
                                                 const char *command);

### Warning

`st_programs_register` is deprecated and should not be used in newly-written code.

`action` : |
`command` : |

### st_programs_run ()

    gboolean    st_programs_run                 (const char *action,
                                                 const char *locator,
                                                 GError **err);

### Warning

`st_programs_run` is deprecated and should not be used in newly-written code.

`action` : |
`locator` : |
`err` : |
Returns : |

## See Also

st-action